(function() {
  getAutomountStatus();
  jQuery('#automount_enablecheck').click(function() {
    if (jQuery('#automount_enablecheck').prop('checked')) {
      jQuery('#automount_enablecheck').attr('status', 'enable');
      jQuery('#automount_autocheck').attr('disabled', false);
    } else {
      jQuery('#automount_enablecheck').attr('status', 'disable');
      jQuery('#automount_autocheck').attr('status', 'disable');
      jQuery('#automount_autocheck').attr('disabled', true);
    }
    if (jQuery('#automount_enablecheck').attr('status') != startFlag || jQuery('#automount_autocheck').attr('status') != autoFlag) {
      jQuery("#automount_mount_apply").attr("class", "unas_button");
    } else {
      jQuery("#automount_mount_apply").attr("class", "unas_button_disabled");
    }
  });
  jQuery('#automount_autocheck').click(function() {
    if (jQuery('#automount_autocheck').prop('checked')) {
      jQuery('#automount_autocheck').attr('status', 'enable');
    } else {
      jQuery('#automount_autocheck').attr('status', 'disable');
    }
    if (jQuery('#automount_enablecheck').attr('status') != startFlag || jQuery('#automount_autocheck').attr('status') != autoFlag) {
      jQuery("#automount_mount_apply").attr("class", "unas_button");
    } else {
      jQuery("#automount_mount_apply").attr("class", "unas_button_disabled");
    }
  });
})();
var startFlag, autoFlag;

function initElementStatus() {
  jQuery("#automount_mount_apply").attr("class", "unas_button_disabled");
}

function getAutomountStatus() {
  jQuery('#automount_mount_waiting_content').attr("style", "display: block");
  jQuery('#automount_mount_waiting_logo').attr("style", "display: block");

  jQuery.ajax({
    url: "/apps/automount/includes/index.php",
    type: "POST",
    async: true,
    data: JSON.stringify({
      action: "get_automount_state"
    }),
    contentType: "application/json;",
    dataType: "json",
    success: function(data) {
      //alert(JSON.stringify(data));
      if (data.err == 0) {
        if (data.status == 1) {
          jQuery('#automount_enablecheck').prop('checked', 'true');
          jQuery('#automount_enablecheck').attr('status', 'enable');
          jQuery('#automount_autocheck').attr('disabled', false);
        } else {
          jQuery('#automount_enablecheck').attr('status', 'disable');
          jQuery('#automount_autocheck').attr('status', 'disable');
          jQuery('#automount_autocheck').attr('disabled', true);
        }
        if (data.mount_on_starting == 1) {
          jQuery('#automount_autocheck').prop('checked', 'true');
          jQuery('#automount_autocheck').attr('status', 'enable');
        } else {
          jQuery('#automount_autocheck').attr('status', 'disable');
          jQuery('#automount_autocheck').attr('status', 'disable');
        }
        startFlag = jQuery('#automount_enablecheck').attr('status');
        autoFlag = jQuery('#automount_autocheck').attr('status');
      }
      jQuery('#automount_mount_waiting_content').attr("style", "display: none");
      jQuery('#automount_mount_waiting_logo').attr("style", "display: none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      jQuery('#automount_mount_waiting_content').attr("style", "display: none");
      jQuery('#automount_mount_waiting_logo').attr("style", "display: none");
    }
  });
}

function automountApply() {
  if (jQuery("#automount_mount_apply").attr("class") == "unas_button_disabled")
    return false;
  jQuery('#automount_mount_waiting_content').attr("style", "display: block");
  jQuery('#automount_mount_waiting_logo').attr("style", "display: block");
  var enableautomount = 0;
  if (jQuery('#automount_enablecheck').prop('checked') == true)
    enableautomount = 1;
  var mount_on_starting = 0;
  if (jQuery('#automount_autocheck').prop('checked') == true)
    mount_on_starting = 1;
  jQuery.ajax({
    url: "/apps/automount/includes/index.php",
    type: "POST",
    async: true,
    data: JSON.stringify({
      "enableautomount": enableautomount,
      "action": "set_automount",
      "mount_on_starting": mount_on_starting
    }),
    contentType: "application/json;",
    dataType: "json",
    success: function(data) {
      //alert(JSON.stringify(data));
      if (data.err == 0) {
        getAutomountStatus();
        initElementStatus();
      }
      jQuery('#automount_mount_waiting_content').attr("style", "display: none");
      jQuery('#automount_mount_waiting_logo').attr("style", "display: none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      jQuery('#automount_mount_waiting_content').attr("style", "display: none");
      jQuery('#automount_mount_waiting_logo').attr("style", "display: none");
    }
  });
}
